# Class PlayCoffeeScriptCompile

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.SourceTask
org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile
org.gradle.play.tasks.PlayCoffeeScriptCompile

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>`

@Incubating public class PlayCoffeeScriptCompile extends CoffeeScriptCompile
Task for compiling CoffeeScript sources into JavaScript.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from class SourceTask

`source`

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`PlayCoffeeScriptCompile()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doCompile()`
`void`
`setCoffeeScriptJsNotation(String notation)`
`void`
`setRhinoClasspathNotation(String notation)`

### Methods inherited from class CoffeeScriptCompile

`getCoffeeScriptJs, getDestinationDir, getOptions, getRhinoClasspath, getWorkerProcessBuilderFactory, options, options, setCoffeeScriptJs, setCoffeeScriptJs, setDestinationDir, setDestinationDir, setRhinoClasspath, setRhinoClasspath`

### Methods inherited from class SourceTask

`exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, getSource, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PlayCoffeeScriptCompile

public PlayCoffeeScriptCompile()

## Method Details

### setCoffeeScriptJsNotation

public void setCoffeeScriptJsNotation(String notation)

### setRhinoClasspathNotation

public void setRhinoClasspathNotation(String notation)

### doCompile

public void doCompile()

Overrides:
  `doCompile` in class `CoffeeScriptCompile`